Leap 15.2 Deutsche Loaklisierung unvollständig

Hinweis: In dem Thema Leap 15.2 Deutsche Loaklisierung unvollständig gibt es 14 Antworten auf 2 Seiten. Der letzte Beitrag () befindet sich auf der letzten Seite.
  • HI,


    nach dem Upgrade von 15.1 auf 15.2 sind die Menüs (KDE5) größtenteils auf Englisch. Das hatte ich früher bei irgendeinem anderem Upgrade auch schon mal und hatte sich irgendwann erledigt, da am Anfang nicht alle Menüs lokalisiert waren. Daher habe ich auch erst einmal gewartet. (Ich habe kurz nach dem Release von 15.2 das Upgrade gemacht)

    Aktuell hat sich bei mir aber immer noch nichts verbessert.

    Das seltsame ist, das ein paar Menüs auf deutsch sind und manche auf Englisch. Das beste Beispiel ist bei mir KMail. das Hauptmenü ist auf Englisch (File. View, Edit, ...) das Programm eigene Menü ist auf Deutsch. (Übersicht, E-mail. Kontakte, Kalender...)

    Auch in Yast sind alle Anwendugen in Englisch aufgelistet.

    Ich habe in Yast/Language, in den Systemeinstellungen überall wo ich etwas gefunden habe, alle Einstellungen auf Deutsch gesetzt. ich habe sogar alle lokalisierten Pakete schon einmal neu installiert.

    Hat jemand eine Idee wo ich noch suchen oder was ich machen kann?

    Englisch ist zwar kein Problem, aber wenigsten zu Hause hätte ich gerne deutsche Menüs.


    Update:

    Gerade ist mir im Journal ein Eintrag aufgefallen:

    manpath: can't set the locale; make sure $LC_* and $LANG are correct


    Andre

    Für den Inhalt des Beitrages 283695 haftet ausdrücklich der jeweilige Autor: kasimir

  • Hallo Andre,


    poste doch mal (als normaler User):

    Code
    localectl
    Code
    zypper se -si 18n _de
    Code
    cat /etc/locale.conf

    Mit neuem User mal getestet?

    Für den Inhalt des Beitrages 283698 haftet ausdrücklich der jeweilige Autor: sterun

  • Hallo Sterun,


    ich habe gerade mal einen neuen Benutzer angelegt. Da sind auch alle Menüs auf englisch.


    Hier die Ergebnisse von den 3 Befehlen. Alles eigentlich normal.

    Code
    locatectl
    System Locale: LC_CTYPE=de_DE.UTF-8,LANG=de_DE.UTF-8
    VC Keymap: de-latin1-nodeadkeys
    X11 Layout: de
    X11 Model: pc105
    X11 Variant: nodeadkeys
    X11 Options: terminate:ctrl_alt_bksp
    Code
    zypper se -si 18n _de
    Loading repository data...
    Reading installed packages...
    S | Name | Type | Version | Arch | Repository
    ---+------------------+---------+--------------------+--------+-----------------------
    i+ | libKF5I18n5 | package | 5.71.0-lp152.1.1 | x86_64 | Haupt-Repository (OSS)
    i+ | libKF5I18n5-lang | package | 5.71.0-lp152.1.1 | noarch | Haupt-Repository (OSS)
    i+ | myspell-de_DE | package | 20191219-lp152.1.1 | noarch | Haupt-Repository (OSS)
    Code
    cat /etc/locale.conf
    LC_CTYPE=de_DE.UTF-8,LANG=de_DE.UTF-8

    Für den Inhalt des Beitrages 283706 haftet ausdrücklich der jeweilige Autor: kasimir

  • Kannst ja mal ändern...

    Bei mir sieht es so aus:

    Code
    cat /etc/locale.conf
    LANG=de_DE.UTF-8

    Anschl. Neustart.

    Der Rest war ok.

    Für den Inhalt des Beitrages 283707 haftet ausdrücklich der jeweilige Autor: sterun

  • Nachtrag:

    Yast - System - Sprache - Primäre Sprache = Deutsch.

    Und Sekundäre Sprache, falls vorhanden, entfernen.

    Und noch diese Ausgabe:

    Code
    zypper se -si translation

    Einmal editiert, zuletzt von sterun ()

    Für den Inhalt des Beitrages 283709 haftet ausdrücklich der jeweilige Autor: sterun

  • Zitat

    Yast - System - Sprache - Primäre Sprache = Deutsch.

    Und Sekundäre Sprache, falls vorhanden, entfernen.

    Habe ich schon eingestellt, bzw habe ich schon ausprobiert. Kein Effekt.

    Für den Inhalt des Beitrages 283710 haftet ausdrücklich der jeweilige Autor: kasimir

  • Für den Inhalt des Beitrages 283712 haftet ausdrücklich der jeweilige Autor: kasimir

  • Code
    i+ | MozillaFirefox-translations-common | package | 78.2.0-lp152.2.18.1 | x86_64 | Aktualisierungs-Repository OSS
    i+ | MozillaFirefox-translations-common | package | 78.2.0-lp152.2.18.1 | x86_64 | Update

    Info:

    Das Update Repo ist 2 mal eingebunden, 1 mal reicht.

    Hat aber jetzt nichts mit dem Problem zu tun.

  • Post #4 - schon geändert?

    Poste noch:

    Code
    zypper lr -d

    Und auch:

    Code
    zypper se -si | grep -Ei 'systemp|system-p|system_p|system p'

    Für den Inhalt des Beitrages 283726 haftet ausdrücklich der jeweilige Autor: sterun

  • Zitat

    Post #4 - schon geändert?

    Ja, keine Änderung

    Für den Inhalt des Beitrages 283785 haftet ausdrücklich der jeweilige Autor: kasimir